_Efl_Ui_Image_Data Struct Reference
Widgets Extension Infrastructure

## Data Fields

Eo * | self
Evas_Object * | hit_rect
Evas_Object * | img
Evas_Object * | prev_img
Ecore_Timer * | anim_timer
struct { |
Eo * copier |
Eina_Binbuf * binbuf |
const char * key |
} | remote
double | scale
double | frame_duration
double | playback_speed
double | align_x
double | align_y
Eina_Size2D | load_size
int | frame_count
int | cur_frame
Elm_Image_Orient | image_orient
Efl_Gfx_Image_Orientation | orient
struct { |
Ecore_Thread * th |
Eina_Stringshare * file |
Eina_Stringshare * key |
void * todo |
} | async
Efl_Ui_Image_Preload_Status | preload_status
Efl_Gfx_Image_Scale_Method | scale_type
const char * | stdicon
struct { |
Eina_Stringshare * file |
Eina_Stringshare * key |
Eina_Bool icon: 1 |
} | property
struct { |
int requested_size |
Eina_Bool use: 1 |
} | freedesktop
Eina_Bool | aspect_fixed: 1
Eina_Bool | fill_inside: 1
Eina_Bool | no_scale: 1
Eina_Bool | smooth: 1
Eina_Bool | show: 1
Eina_Bool | edit: 1
Eina_Bool | edje: 1
Eina_Bool | anim: 1
Eina_Bool | autoplay: 1
Eina_Bool | playback_loop: 1
Eina_Bool | paused: 1
Eina_Bool | async_enable: 1
Eina_Bool | scale_up: 1
Eina_Bool | scale_down: 1
Eina_Bool | legacy_align: 1
Eina_Bool | property_watch: 1
Eina_Bool | in_calc: 1